Bug 490271 - cobbler mess up vmlinuz initrd different flavours when installing fedora 10 dvd using netboot
cobbler mess up vmlinuz initrd different flavours when installing fedora 10 d...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Michael DeHaan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-14 10:18 EDT by valentin.ruano
Modified: 2009-05-06 17:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 17:35:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description valentin.ruano 2009-03-14 10:18:32 EDT
Description of problem:

Installing fedora 10 using the pxe netboot approach after a "successful" netboot,  network interfaces do not work thus installation cannot progress further.
The installation program suggest that you pickup a network device driver from a list but selecting the correct one for the architecture won't work.

Additional info:

In other virtual console output's one can observe that the problem is that 
/lib/modules/<kernel-version>/modules.dep file could not be found. And in fact seems that the set of mudules may not correspond to the executing kernel. 

Now early in the boot I could observer that the image files loaded for the kernel and ramdisk 
 
where named vmlinuz and initrd-PAE, Looking to the dvd images/pxeboot folder I saw that there are in fact two sets of images. Thus cobbler pick an incompatible pair of images by default. 

I corrected it by removing the distro in cobbler and adding it back again using the --initrd=<whatever>/initrd.img option and it worked.    

Version-Release number of selected component (if applicable):

cobbler on fedora 9 trying to install fedora 10 on a netbook (recently released Samsung nc10).


How reproducible:

I reckon that reproducibility may depend on cobbler's mood in what vmlinuz* and initrd*.img it will pick up by default. I'd simply follow the instructions in the installation guide:

http://docs.fedoraproject.org/install-guide/f10/en_US/sn-booting-from-pxe.html

Of course you should be able to obtain the outcome above by forcing cobbler to take on mismatched image files e.g. vmlinuz and initrd-PAE.img.

For that you need to use the --initrd and or --kernel with "cobbler distro add" command

  
Actual results:

Network failure and not possible to progress in installation.

Expected results:

That cobbler selects any of the two valid pairs image files in fedora 10 dvd:
vmlinuz with initrd.img  or vmlinuz-PAE with initrd-PAE.img thus you can progress with your installation.
Comment 1 Anders 2009-04-05 11:09:27 EDT
For what it is worth, I am still seeing this using the Cobbler version (1.4 something) on Fedora 10 as host. It gets it the other way around now, with a PAE vmlinuz and plain initrd.img.
Comment 2 Michael DeHaan 2009-04-06 08:27:08 EDT
FYI -- Cobbler uses fedorahosted.org/cobbler for it's upstream bugtracker.  Bugs may be resolved more quickly if you file them there.

When you have a problem with import please share the full output of the input command including the output from the command as it runs.
Comment 3 Michael DeHaan 2009-05-06 17:35:18 EDT
Closed, as I don't have the data regarding the import failure that I asked for yet.

Also -- Not filed against a specific version.  If you are seeing this with 1.6.3, let us know.

Note You need to log in before you can comment on or make changes to this bug.